Subject: Re: TCP sockets stalling - help! (long)

From: Frederic Leroy <[email-masked]>
Date: Fri, 27 Nov 2009 21:53:24 +0100

Le Fri, 27 Nov 2009 13:56:13 +0100,
Asdo <[email-masked]> a écrit :

> Frederic Leroy wrote:
> > Le Wed, 25 Nov 2009 05:25:28 +0100,
> > Asdo <[email-masked]> a écrit :
> >
> >   
> >> Hi netdev and e1000 people,
> >>
> >> I have a weird problem here.
> >> [...]
> > I have the same kind of problem at home. I can't copy big files over
> > [...]
> Good God it's true then!

Yes :)

> Still if I am right, with Netcat you might end up with a corrupted
> file on the other side (shorter). Or maybe not, depending on how
> exactly the bug is made. Could you check this? Filesize and md5sum.

md5sum are ok.
I can't reproduce the problem on wire with a switch ( using both
10 and 100Mbp FD )   

> Do you have Intel network card, with e1000e driver on SG? (see lsmod) 
> (sorry I was wrong before, it's e1000e in my case not e1000)
> Otherwise it's probably the TCP layer...

Sorry, I forgot to precise the network hardware.
I forgot a noname 100Mbp switch between the isv box and sg host.

SG:

00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
using module 8139cp

Devel:

02:02.0 Network controller: Broadcom Corporation BCM4306 802.11b/g
Wireless LAN Controller (rev 03)
using b43 driver.

02:08.0 Ethernet controller: Intel Corporation 82801DB PRO/100 VE (MOB)
Ethernet Controller (rev 81)
using e100 in kernel ( no module )

My isv box is broadcom based, but I don't know which chipset for
wireless.

Since our hardware are different, I don't think it's coming from
hardware driver. I'm preparing traces for Ilpo

-- 
Frédéric Leroy